DOM::HTMLAnchorElement Class Reference

`#include <html_inline.h>`

Inheritance diagram for DOM::HTMLAnchorElement:

## Public Member Functions

| HTMLAnchorElement (const HTMLAnchorElement &other)
| HTMLAnchorElement (const Node &other)
HTMLAnchorElement & | operator= (const HTMLAnchorElement &other)
HTMLAnchorElement & | operator= (const Node &other)
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
DOMString | charset () const
void | setCharset (const DOMString &)
DOMString | coords () const
void | setCoords (const DOMString &)
DOMString | href () const
void | setHref (const DOMString &)
DOMString | hreflang () const
void | setHreflang (const DOMString &)
DOMString | name () const
void | setName (const DOMString &)
DOMString | rel () const
void | setRel (const DOMString &)
DOMString | rev () const
void | setRev (const DOMString &)
DOMString | shape () const
void | setShape (const DOMString &)
long | tabIndex () const
void | setTabIndex (long)
DOMString | target () const
void | setTarget (const DOMString &)
DOMString | type () const
void | setType (const DOMString &)
void | blur ()
void | focus ()
void | click ()
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLAnchorElement (HTMLAnchorElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The anchor element.

See the A element definition in HTML 4.0.

Definition at line 47 of file html_inline.h.

## Member Function Documentation

DOMString HTMLAnchorElement::accessKey | ( |  | ) | const

A single character access key to give access to the form control.

See the accesskey attribute definition in HTML 4.0.

Definition at line 62 of file html_inline.cpp.

void HTMLAnchorElement::blur | ( |  | ) |

Removes keyboard focus from this element.

Returns

Definition at line 198 of file html_inline.cpp.

DOMString HTMLAnchorElement::charset | ( |  | ) | const

The character encoding of the linked resource.

See the charset attribute definition in HTML 4.0.

Definition at line 73 of file html_inline.cpp.

void HTMLAnchorElement::click | ( |  | ) |

Simulate a mouse-click.

NOTE: this method is not part of the DOM

Since
  3.5.7

Definition at line 210 of file html_inline.cpp.

DOMString HTMLAnchorElement::coords | ( |  | ) | const

Comma-separated list of lengths, defining an active region geometry.

See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

Definition at line 84 of file html_inline.cpp.

void HTMLAnchorElement::focus | ( |  | ) |

Gives keyboard focus to this element.

Returns

Definition at line 204 of file html_inline.cpp.

DOMString HTMLAnchorElement::href | ( |  | ) | const

The URI of the linked resource.

See the href attribute definition in HTML 4.0.

Definition at line 95 of file html_inline.cpp.

DOMString HTMLAnchorElement::hreflang | ( |  | ) | const

Language code of the linked resource.

See the hreflang attribute definition in HTML 4.0.

Definition at line 107 of file html_inline.cpp.

DOMString HTMLAnchorElement::name | ( |  | ) | const

Anchor name.

See the name attribute definition in HTML 4.0.

Definition at line 118 of file html_inline.cpp.

DOMString HTMLAnchorElement::rel | ( |  | ) | const

Forward link type.

See the rel attribute definition in HTML 4.0.

Definition at line 129 of file html_inline.cpp.

DOMString HTMLAnchorElement::rev | ( |  | ) | const

Reverse link type.

See the rev attribute definition in HTML 4.0.

Definition at line 140 of file html_inline.cpp.

void HTMLAnchorElement::setAccessKey | ( | const DOMString & | value | ) |

see accessKey

Definition at line 68 of file html_inline.cpp.

void HTMLAnchorElement::setCharset | ( | const DOMString & | value | ) |

see charset

Definition at line 79 of file html_inline.cpp.

void HTMLAnchorElement::setCoords | ( | const DOMString & | value | ) |

see coords

Definition at line 90 of file html_inline.cpp.

void HTMLAnchorElement::setHref | ( | const DOMString & | value | ) |

see href

Definition at line 102 of file html_inline.cpp.

void HTMLAnchorElement::setHreflang | ( | const DOMString & | value | ) |

see hreflang

Definition at line 113 of file html_inline.cpp.

void HTMLAnchorElement::setName | ( | const DOMString & | value | ) |

see name

Definition at line 124 of file html_inline.cpp.

void HTMLAnchorElement::setRel | ( | const DOMString & | value | ) |

see rel

Definition at line 135 of file html_inline.cpp.

void HTMLAnchorElement::setRev | ( | const DOMString & | value | ) |

see rev

Definition at line 146 of file html_inline.cpp.

void HTMLAnchorElement::setShape | ( | const DOMString & | value | ) |

see shape

Definition at line 157 of file html_inline.cpp.

void HTMLAnchorElement::setTabIndex | ( | long | _tabIndex | ) |

see tabIndex

Definition at line 168 of file html_inline.cpp.

void HTMLAnchorElement::setTarget | ( | const DOMString & | value | ) |

see target

Definition at line 182 of file html_inline.cpp.

void HTMLAnchorElement::setType | ( | const DOMString & | value | ) |

see type

Definition at line 193 of file html_inline.cpp.

DOMString HTMLAnchorElement::shape | ( |  | ) | const

The shape of the active area.

The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0.

Definition at line 151 of file html_inline.cpp.

long HTMLAnchorElement::tabIndex | ( |  | ) | const

Index that represents the element's position in the tabbing order.

See the tabindex attribute definition in HTML 4.0.

Definition at line 162 of file html_inline.cpp.

DOMString HTMLAnchorElement::target | ( |  | ) | const

Frame to render the resource in.

See the target attribute definition in HTML 4.0.

Definition at line 176 of file html_inline.cpp.

DOMString HTMLAnchorElement::type | ( |  | ) | const

Advisory content type.

See the type attribute definition in HTML 4.0.

Definition at line 187 of file html_inline.cpp.

The documentation for this class was generated from the following files:

- html_inline.h
- html_inline.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys